summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorgustawho2021-03-20 18:56:00 -0700
committergustawho2021-03-20 18:56:00 -0700
commit0bf562dd5e2906eefe5c72990f83f6ac0f8803f3 (patch)
tree7de9f378ccbb1608e02182bd86390aca372f4d6c
downloadaur-0bf562dd5e2906eefe5c72990f83f6ac0f8803f3.tar.gz
Package added
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD32
2 files changed, 55 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..2a96a075834
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,23 @@
+pkgbase = daykountdown-git
+ pkgdesc = A simple date countdown app written for KDE Plasma, using Kirigami.
+ pkgver = r189.357fb6d
+ pkgrel = 1
+ url = https://invent.kde.org/plasma-mobile/daykountdown
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ makedepends = extra-cmake-modules
+ depends = ki18n
+ depends = kconfig
+ depends = kcoreaddons
+ depends = kwidgetsaddons
+ depends = kirigami2
+ depends = kio
+ depends = qt5-svg
+ provides = daykountdown
+ conflicts = daykountdown
+ source = git+https://invent.kde.org/plasma-mobile/daykountdown.git
+ sha256sums = SKIP
+
+pkgname = daykountdown-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2186a9621c8
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Gustavo Castro < gustawho [ at ] gmail [ dot ] com >
+
+pkgname=daykountdown-git
+pkgver=r189.357fb6d
+pkgrel=1
+pkgdesc="A simple date countdown app written for KDE Plasma, using Kirigami."
+arch=(x86_64)
+url="https://invent.kde.org/plasma-mobile/daykountdown"
+license=(GPL3)
+depends=(ki18n kconfig kcoreaddons kwidgetsaddons kirigami2 kio qt5-svg)
+makedepends=(git extra-cmake-modules)
+provides=(daykountdown)
+conflicts=(daykountdown)
+source=("git+${url}.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${pkgname%-git}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -B build -S "${pkgname%-git}"
+ make -C build
+}
+
+package() {
+ make -C build DESTDIR="${pkgdir}" PREFIX=/usr install
+}